#!/usr/bin/env python3
# Copyright ⓒ 2016 Red Hat, Inc.
# This file is part of fegistry.
#
# fegistry is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# fegistry is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with fegistry.  If not, see <http://www.gnu.org/licenses/>.
import os

from setuptools import setup, find_packages

import fegistry


here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.md')).read()
VERSION = fegistry.__version__

# Possible options are at https://pypi.python.org/pypi?%3Aaction=list_classifiers
CLASSIFIERS = [
    'Development Status :: 2 - Pre-Alpha',
    'Framework :: Flask',
    'Intended Audience :: Developers',
    'Intended Audience :: System Administrators',
    'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
    'Operating System :: POSIX :: Linux',
    'Programming Language :: Python :: 3 :: Only',
    'Topic :: System :: Software Distribution']
LICENSE = 'GPLv3'
MAINTAINER = 'Fedora Infrastructure Team'
MAINTAINER_EMAIL = 'infrastructure@lists.fedoraproject.org'
PLATFORMS = ['Fedora', 'GNU/Linux']
URL = 'https://pagure.io/fegistry'


setup(
    name='fegistry', version=VERSION, description='The Fedora registry endpoint.',
    long_description=README, classifiers=CLASSIFIERS, license=LICENSE, maintainer=MAINTAINER,
    maintainer_email=MAINTAINER_EMAIL, platforms=PLATFORMS, url=URL, keywords='fedora',
    packages=find_packages(exclude=('fegistry.tests', 'fegistry.tests.*')),
    include_package_data=True, zip_safe=False, install_requires=['flask'],
    tests_require=['flake8', 'mock', 'nose', 'nose-cov'],
    test_suite="nose.collector")
